SoundCloud for Developers

Discover, connect and build

oEmbed

oEmbed is an open standard for easily embedding content from oEmbed providers into a site. The SoundCloud oEmbed endpoint serves the widget embed code for any SoundCloud URL pointing to a user, set, or a playlist. To find out more about the oEmbed standard, see oEmbed.com.

The SoundCloud oEmbed endpoint is located at the following URL. It accepts any URL pointing to a user, set, or track and supports JSON (CORS) and JSONP as a response format. https://soundcloud.com/oembed A basic request/response example: ```shell curl 'https://soundcloud.com/oembed?format=json&url=https://soundcloud.com/forss/flickermood' ``` ```json { "version": 1.0, "type": "rich", "provider_name": "SoundCloud", "provider_url": "https://soundcloud.com", "height": 81, "width": "100%", "title": "Flickermood by Forss", "description": "test", "html": "" } ```
#### Parameters | Name | Default | Description | |------|---------|-------------| | url | - | A SoundCloud URL for a track, set, or user. | | format | json | (optional) Either json or js (for JSONP). | | callback | - | (optional) A function name for the JSONP callback. | | maxwidth | 100% | (optional) The maximum width in px. | | maxheight | 166 or 450 | (optional) The maximum height in px. The default is 166px for tracks and 450px for sets. If using the flash widget, the default is 81px for tracks and 305px for sets. | | color | - | (optional) The primary color of the widget as a hex triplet (for example: ff0066). | | auto_play | false | (optional) Whether the widget plays on load. | | show_comments | true | (optional) Whether the player displays timed comments. |